variable "kubernetes_config" {
  type = string
}

variable "kubernetes_context" {
  type = string
}

provider "helm" {
  kubernetes {
    config_path = var.kubernetes_config
    config_context = var.kubernetes_context
  }
}

variable "cidr" {
  type = string
}

variable "extra_values_files" {
  type = list(string)
  default = []
}

variable "extra_set_values" {
  type = map(any)
  default = {}
}

variable "extra_set_sensitive_values" {
  type = map(any)
  default = {}
}

module "helm_release" {
  source = "git::https://git.420joos.dev/kubernetes-cluster/terraform/terraform-generalization.git"
  release_name = "calico"
  chart_repo = "https://docs.tigera.io/calico/charts"
  chart_name = "tigera-operator"
  chart_version = "v3.29.2"
  namespace = "tigera-operator"
  default_values_files = [
    "../values.yaml"
  ]
  extra_values_files = var.extra_values_files
  default_set_values = {
    "installation.calicoNetwork.ipPools[0].cidr" = var.cidr
  }
  extra_set_values = var.extra_set_values
  default_set_sensitive_values = {}
  extra_set_sensitive_values = var.extra_set_sensitive_values
}
